Subject: Re: [Bitcoin-development] overall bitcoin client code quality

From: Douglas Huff <[email-masked]>
Date: Sun, 10 Jul 2011 18:07:29 -0500

On Jul 10, 2011, at 5:37 PM, Michael Offel wrote:

> 4. long build times
>  
> It takes longer to build Bitcoin than building some of the million lines of code projects I'm working on. The reasons I did see so far is the use of boost, lack of module isolation and implementations in header files. 

I've actually offered (on irc) to fix the latter a few times and been told that a pull removing implementations from the headers would not be merged so have not wasted the effort. (Because it's a rather large one.) Not only does this cause long build times it makes adding new code in the logically "right" places nearly impossible due to the build deps.

I agree with pretty much the entirety of your post and think all of it needs to be discussed further and addressed.

-- 
Douglas Huff